%define upstream_name Daemon-Generic
%define upstream_version 0.85

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Framework to provide start/stop/reload for a daemon
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Daemon/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(AnyEvent)
BuildRequires:	perl(Eval::LineNumbers)
BuildRequires:	perl(Event)
BuildRequires:	perl(File::Flock::Forking)

BuildArch:	noarch

%{?perl_default_filter}

%description
Daemon::Generic provides a framework for starting, stopping,
reconfiguring daemon-like programs. The framework provides for standard
commands that work for as init.d files and as apachectl-like commands.

Programs that use Daemon::Generic subclass Daemon::Generic to override
its behavior. Almost everything that Genric::Daemon does can be
overridden as needed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.850.0-3.mga8
+ Revision: 1503710
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.850.0-2.mga7
+ Revision: 1282615
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.850.0-1.mga7
+ Revision: 1126152
- update to 0.85

* Sat Jun 18 2016 pterjan <pterjan> 0.840.0-8.mga6
+ Revision: 1024777
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.840.0-7.mga6
+ Revision: 971850
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.840.0-6.mga6
+ Revision: 893423
- rebuild with fixed deps

* Thu Dec 11 2014 sander85 <sander85> 0.840.0-5.mga5
+ Revision: 802692
- Fix BRs
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.840.0-3.mga5
+ Revision: 684165
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.840.0-2.mga4
+ Revision: 539288
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 0.840.0-1.mga4
+ Revision: 491767
- update to 0.84

* Sat Aug 03 2013 sander85 <sander85> 0.830.0-1.mga4
+ Revision: 463033
- imported package perl-Daemon-Generic

